@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;500;600;800;900&family=Poppins:wght@300;400;500;600&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
  scroll-behavior: smooth;
  font-family: 'Poppins', sans-serif;
}

:root {
  --bg-color: #2a2a2a;
  --second-bg-color: #202020;
  --text-color: #fff;
  --second-color: #ccc;
  --main-color: #05b4ff;
  --big-font: 5rem;
  --h2-font: 3rem;
  --p-font: 1.1rem;
}

body {
  background: var(--bg-color);
  color: var(--text-color);
}

header {
  position: fixed;
  width: 100%;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  background: transparent;
  padding: 22px 15%;
  border-bottom: 1px solid transparent;
  transition: all .45s ease;
}

.logo {
  color: var(--text-color);
  font-size: 35px;
  font-weight: 700;
  letter-spacing: 1px;
}

span {
  color: var(--main-color);
}

.navlist {
  display: flex;
}

.navlist a {
  color: var(--second-color);
  font-size: 17px;
  font-weight: 500;
  margin: 0 25px;
  transition: all .45s ease;
}

.navlist a:hover {
  color: var(--main-color);
}

.navlist a.active {
  color: var(--main-color);
}

#menu-icon {
  font-size: 35px;
  color: var(--text-color);
  z-index: 1000;
  cursor: pointer;
  margin-left: 25px;
  display: none;
}

section {
  padding: 160px 15% 120px;
}

.home {
  position: relative;
  height: 100vh;
  width: 100%;
  background-image: url(/img/background.jpg);
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.slide {
  margin-bottom: 20px;
}

.one {
  display: inline-block;
  margin-right: 15px;
  padding: 0 15px;
  line-height: 32px;
  font-size: 20px;
  font-weight: 500;
  border-radius: 5px;
  background: var(--main-color);
  color: var(--text-color);
}

.two {
  display: inline-block;
  color: var(--second-color);
  font-size: 20px;
  font-weight: 500;
}

.home-text h1 {
  font-size: var(--big-font);
  font-weight: 700;
  color: var(--text-color);
  line-height: 1.1;
  margin: 0 0 8px;

}

.home-text h3 {
  color: var(--text-color);
  margin: 0 0 35px;
  font-size: 3rem;
  font-weight: 700;
  line-height: 1.1;
}

.home-text p {
  color: var(--second-color);
  font-size: var(--p-font);
  line-height: 1.8;
  margin-bottom: 40px;
}

.button {
  display: inline-block;
  align-items: center;
  justify-content: right;
}

.btn {
  display: inline-block;
  padding: 12px;
  background: var(--main-color);
  border-radius: 5px;
  color: var(--text-color);
  font-size: 1rem;
  letter-spacing: 1px;
  font-weight: 500;
  transition: all .45s ease;
}

.btn:hover {
  transform: scale(0.9);
}

.grid-container {
  display: grid;
  grid-template-columns: auto auto auto;
  background-color: #2196F3;
  padding: 10px;
}

.grid-container:hover {
  transform: translateY(-8px);
  cursor: pointer;
}

.grid-container p {
  color: black;
}

.grid-item {
  background-color: rgba(255, 255, 255, 0.8);
  border: 1px solid rgba(0, 0, 0, 0.8);
  padding: 20px;
  font-size: 30px;
  text-align: center;
}


.about {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 1.5rem;
}

.about-img img {
  max-width: 530px;
  height: auto;
  width: 100%;
  border-radius: 5px;

}

.about-text h2 {
  font-size: var(--h2-font);
  line-height: 1;
}

.about-text h4 {
  font-size: 24px;
  font-weight: 600;
  color: var(--text-color);
  line-height: 1.7;
  margin: 15px 0 30px;
}

.about-text p {
  color: var(--second-color);
  font-size: var(--p-font);
  font-family: 'Times New Roman', Times, serif;
  line-height: 1.8;
  margin-bottom: 4rem;
}

.services {
  background: var(--second-bg-color);

}

.main-text {
  text-align: center;
}

.main-text p {
  color: var(--second-color);
  font-size: 15px;
  margin-bottom: 15px;
}

.main-text h2 {
  font-size: var(--h2-font);
  line-height: 1;
}

.services-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, auto));
  align-items: center;
  gap: 2.5rem;
  margin-top: 5rem;
}

.box {
  background: var(--bg-color);
  padding: 35px 45px;
  border-radius: 8px;
  transition: all .45s ease;
}

.s-icons i {
  font-size: 32px;
  margin-bottom: 20px;

}

.box h3 {
  font-size: 24px;
  font-weight: 600;
  color: var(--text-color);
  margin-bottom: 15px;
  height: 45px;
}

.box p {
  color: var(--second-color);
  font-size: 1rem;
  line-height: 1.8;
  margin-bottom: 25px;
}

.box:hover {
  transform: translateY(-8px);
  cursor: pointer;
}

.portfolio-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, auto));
  align-items: center;
  gap: 2.5rem;
  margin-top: 5rem;
}

.row {
  position: relative;
  overflow: hidden;
  border-radius: 8px;
  cursor: pointer;
}

.row img {
  width: 100%;
  border-radius: 8px;
  display: block;
  transition: transform 0.5s;
}

.layer {
  width: 100%;
  height: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.1), #00a6ff);
  position: absolute;
  border-radius: 8px;
  left: 0;
  bottom: 0;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 40px;
  transition: height 0.5s;
}

.layer h5 {
  font: 20px;
  font-weight: 600;
  margin-bottom: 15px;
}

.layer p {
  color: var(--second-color);
  font-size: 1rem;
  line-height: 1.8;

}

.layer i {
  color: var(--main-color);
  margin-top: 20px;
  font-size: 20px;
  background: var(--text-color);
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;

}

.row:hover img {
  transform: scale(1.1);

}

.row:hover .layer {
  height: 100%;
}

.contact {
  background: var(--second-bg-color);
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 2.5rem;
}

.contact-text h4 {
  color: var(--text-color);
  margin: 18px 0;
  font-size: 20px;
  font-weight: 600;
}

.contact-text h2 {
  font-size: var(--h2-font);
  line-height: 1;
}

.contact-text p {
  color: var(--second-color);
  font-size: var(--p-font);
  line-height: 1.8;
  margin-bottom: 30px;
}

.list {
  margin-bottom: 2.8rem;

}

.list li {
  margin-bottom: 12px;

}

.list li a {
  display: block;
  color: var(--second-color);
  font-size: 14px;
  transition: all .45s ease;
}

.list li a:hover {
  color: var(--text-color);
  transform: translateY(5px);

}

.contact-icons i {
  height: 45px;
  width: 45px;
  font-size: 22px;
  display: inline-block;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
  margin-right: 15px;
  transition: all .45s ease;
}

.contact-icons i:hover {

  color: var(--main-color);
}

.contact-form form {
  position: relative;
}

.contact-form form input,
form textarea {
  width: 100%;
  padding: 14px;
  background: var(--bg-color);
  color: var(--text-color);
  border: none;
  outline: none;
  font-size: 15px;
  border-radius: 8px;
  margin-bottom: 10px;
}

.contact-form textarea {
  resize: none;
  height: 240px;
}

.contact-form .submit {
  display: inline-block;
  font-size: 16px;
  background: var(--main-color);
  color: var(--text-color);
  width: 160px;
  transition: all .45s ease;
}

.contact-form .submit:hover {
  transform: scale(1.1);
  cursor: pointer;
}

.end {
  padding: 20px 15%;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  background: var(--bg-color);
}

.last-text p {
  color: var(--second-color);
  font-size: 14px;

}

.top {

  padding: 10px;
  border-radius: 8px;
  font-size: 15px;
  color: var(--text-color);
  background: var(--main-color);
  justify-content: flex-end;
}


@media (max-width: 1480px) {
  header {
    padding: 12px 2.5%;
    transition: .1s;
  }

  section {
    padding: 110px 3% 60px;
  }

  .end {
    padding: 15px 3%;
  }
}

@media (max-width: 1100px) {
  :root {
    --big-font: 4rem;
    --h2-font: 2.5rem;
    --p-font: 1rem;
    transition: .1s;
  }

  .home-text h3 {
    font-size: 2.5rem;
  }

  .home {
    height: 87vh;
  }
}

@media (max-width:920) {
  .about {
    grid-template-columns: 1fr;

  }

  .about-img img {
    width: 100%;
    height: auto;
    max-width: 100%;
  }

  .contact {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 480px) {
  #menu-icon {
    display: block;
  }

  .navlist {
    position: absolute;
    top: -1000px;
    right: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    background: var(--bg-color);
    text-align: left;
    transition: all .45s ease;

  }

  .navlist a {
    display: block;
    margin: 17px;
    font-size: 20px;
    transition: all .45s ease;
    color: var(--text-color);

  }

  .navlist a:hover {
    color: var(--main-color);
  }

  .navlist a.active {
    color: var(--text-color);
  }

  .navlist.open {
    top: 100%;
  }
}